Update a custom field definition

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

type_idstringRequired

Identity type ID (idtype_*).

field_idstringRequired

Custom field definition ID (cfield_*).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Key-InflectionenumOptionalDefaults to snake

Response key casing. Defaults to snake.

Allowed values:

Request

This endpoint expects an object.
labelstringOptional
is_requiredbooleanOptional
sort_orderintegerOptional
is_uniquebooleanOptional
validation_regexstring or nullOptional
enum_valueslist of stringsOptional

Response

Updated custom field definition.
idstring
org_idstring
identity_type_idstring
namestring
labelstring
field_typeenum
is_requiredboolean
created_atdatetime
is_uniqueboolean
is_encryptedboolean
enum_valueslist of strings
validation_regexstring
sort_orderinteger

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error